"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
/**
 * Returns true if the path is a file
 * @example
 * isFile('./README.md') // => true
 * isFile('.') // => false
 */
var isFile = function (filePath) {
    try {
        return fs_1.statSync(filePath).isFile();
    }
    catch (_) {
        return false;
    }
};
exports.default = isFile;
