"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var path_1 = require("path");
/**
 * Safe `readFileSync`
 * @example
 * const fooContents = readFileSync('./foo')
 * if (fooContents != null) doThings(fooContents)
 */
var readFileSync = function (str) {
    try {
        return fs_1.readFileSync(path_1.resolve(str), { encoding: 'utf8' });
    }
    catch (_) { }
};
exports.default = readFileSync;
